#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
#define CRP(t, x) const t &x
#define OPL(t, x) bool operator<(CRP(t, x)) const
#define FIL(x, v) memset(x, v, sizeof(x))
#define CLR(x) FIL(x, 0)
#define NE1(x) FIL(x, -1)
#define INF(x) FIL(x, 0x3f)
#ifndef _DEBUG
#define _DEBUG 0
#endif // !_DEBUG
#define IFD if (_DEBUG)
typedef long long ll, i64;
int a[405];
int main()
{
    int T, n;
    scanf("%d", &T);
    while (T--)
    {
        scanf("%d", &n), n <<= 2;
        for (int i = 0; i < n; i++) scanf("%d", a + i);
        sort(a, a + n);
        bool flag = true;
        for (int i = 0; i < n && flag; i += 2)
            if (a[i] != a[i + 1]) flag = false;
        int ans = a[0] * a[n - 1];
        for (int i = 0; i + i < n && flag; i++)
            if (a[i] * a[n - i - 1] != ans) flag = false;
        puts(flag ? "YES" : "NO");
    }
    return 0;
}